GET api/OrderLine?rProductId={rProductId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| rProductId | integer |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of ProductRecommendationViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| productid | integer |
None. |
|
| rating | integer |
None. |
|
| productbrandname | string |
None. |
|
| model | string |
None. |
|
| productcatergoryname | string |
None. |
|
| conditionName | string |
None. |
|
| productActionName | string |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"productid": 1,
"rating": 2,
"productbrandname": "sample string 3",
"model": "sample string 4",
"productcatergoryname": "sample string 5",
"conditionName": "sample string 6",
"productActionName": "sample string 7"
},
{
"$ref": "1"
}
]